apps:
  coffee:
    image: nginxdemos/hello:plain-text
    replicas: 2
  tea:
    image: nginxdemos/hello:plain-text
    replicas: 3

ingress:
  name: cafe-ingress
  rules:
  - host: cafe.example.com
    paths:
    - path: /tea
      type: Prefix
      app: tea
    - path: /coffee
      type: Prefix
      app: coffee

vikingAdmSvc: varnish-ingress-admin

selfSharding:
  rules:
    - shard:
        key: cookie=foo
        primaryOnly: true

# Use reqDisposition to bypass builtin vcl_recv so that responses to
# requests with the Cookie head may be cacheable.
# cf. "cookie pass" in examples/req-disposition
reqDisposition:
  - conditions:
    - comparand: req.http.Host
      compare: not-exists
    - comparand: req.esi_level
      count: 0
    - comparand: req.proto
      compare: prefix
      values:
        - HTTP/1.1
      match-flags:
        case-sensitive: false
    disposition:
      action: synth
      status: 400

  - conditions:
    - comparand: req.method
      compare: not-equal
      values:
        - GET
        - HEAD
        - PUT
        - POST
        - TRACE
        - OPTIONS
        - DELETE
        - PATCH
        - CONNECT
    disposition:
      action: synth
      status: 405

  - conditions:
    - comparand: req.method
      compare: not-equal
      values:
        - GET
        - HEAD
    disposition:
      action: pass
